﻿
/* *******************************************************************************************************
    ONLY LAYOUT SPECIFIC OVERRIDES SHOULD BE PLACED HERE
    STATUS COLORS ARE DEFINED VIA WEB.CONFIG.PATCH.XML
******************************************************************************************************* */

/* **********************************************
  SIDEBAR
********************************************** */
.hover-block .logo, .sidebar {
    background-color: #00529e !important;
}

    .hover-block .logo .marmind-logo {
        /* make marmind logo pure white */
        filter: brightness(0) invert(1);
    }

/* initial */
mat-toolbar .main-nav .nav-item button .mat-icon,
mat-toolbar .main-nav .nav-item button .nav-desc,
mat-toolbar .main-nav .nav-item button .reporting-label,
mat-toolbar + .settings .nav-item button .mat-icon,
mat-toolbar + .settings .nav-item button .nav-desc,
mat-toolbar .nav-item.more-wrapper button i {
    color: #fff !important;
}
/* hover */
mat-toolbar .main-nav .nav-item button:hover .mat-icon,
mat-toolbar .main-nav .nav-item button:hover .nav-desc,
mat-toolbar .main-nav .nav-item button:hover .reporting-label,
mat-toolbar + .settings .nav-item button:hover .mat-icon,
mat-toolbar + .settings .nav-item button:hover .nav-desc,
mat-toolbar .nav-item.more-wrapper button:hover i {
    color: #000 !important;
}

mat-toolbar .main-nav .nav-item button:hover,
mat-toolbar + .settings .nav-item button:hover {
    background-color: #ddd !important;
}
/* active ( + hover ) */
mat-toolbar .main-nav .nav-item .active-tab button,
mat-toolbar .main-nav .nav-item .active-tab button:hover .mat-icon,
mat-toolbar .main-nav .nav-item .active-tab button:hover .nav-desc,
mat-toolbar + .settings .nav-item .active-tab button,
mat-toolbar + .settings .nav-item .active-tab button:hover .mat-icon,
mat-toolbar + .settings .nav-item .active-tab button:hover .nav-desc {
    color: #fff !important;
    background-color: #000 !important;
}
/* clicked reporting submenu */
mat-toolbar .main-nav .nav-item button.prio.reporting.cdk-mouse-focused {
    background-color: #ddd !important;
}

    mat-toolbar
    .main-nav
    .nav-item
    button.prio.reporting.cdk-mouse-focused
    .mat-icon,
    mat-toolbar
    .main-nav
    .nav-item
    button.prio.reporting.cdk-mouse-focused
    .reporting-label {
        color: #000 !important;
    }
/* admin */
.md-settings mat-toolbar .main-nav .nav-item button .nav-desc {
    color: #000 !important;
}

.md-settings mat-toolbar .main-nav .nav-item .active-tab button .nav-desc {
    color: #fff !important;
}

/* **********************************************
  TREE
********************************************** */

.core-wrapper
#tree
.fancytree-container
.fancytree-node.fancytree-active
.fancytree-expander,
.core-wrapper
#tree
.fancytree-container
.fancytree-node.fancytree-active
.fancytree-title,
.core-wrapper
#tree
.fancytree-container.fancytree-treefocus
.fancytree-node.fancytree-active
.fancytree-expander,
.core-wrapper
#tree
.fancytree-container.fancytree-treefocus
.fancytree-node.fancytree-active
.fancytree-title {
    color: #00529e !important;
    /* background-color: initial; */
}

.core-wrapper .fancytree-active .icon.fa {
    color: #00529e !important;
}

/* **********************************************
  HEADER
********************************************** */
.action-menu-wrapper .action-menu .selected-action {
    background-color: #00529e !important;
}

.core-wrapper .mm-header .header-notifications .btn.btn-danger strong {
    background-color: #00529e !important;
}

.no-focus-outline .core-wrapper .header-notifications .btn.btn-danger:focus strong {
    background-color: #00529e !important;
}

/* **********************************************
  GENERIC
********************************************** */

.core-wrapper .contentDetail .btn-save {
    background-color: #00529e !important;
    color: #fff;
}

